<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>ru.entaxy.esb</groupId>
    <artifactId>root</artifactId>
    <version>1.8.2.2</version>
    <packaging>pom</packaging>

    <name>ENTAXY :: ESB :: ROOT</name>
    <description>ENTAXY :: ESB :: ROOT</description>

    <modules>
        <module>underlying</module>
        <module>system</module>
        <module>platform</module>
        <!-- module>./distribution</module -->
        <module>ui</module>
    </modules>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>

        <karaf.version>4.2.9</karaf.version>
        <cave.version>4.2.1</cave.version>

        <!-- @TODO consider import Karaf BOM to root/pom/dependencyManagement -->
        <felix.configadmin.version>1.9.16</felix.configadmin.version>
		<felix.scr.version>2.1.20</felix.scr.version>

		<!-- osgi -->
        <osgi.version>6.0.0</osgi.version>
        <osgi.compendium.version>5.0.0</osgi.compendium.version>
        <osgi.service.component.annotations.version>1.4.0</osgi.service.component.annotations.version>

        <camel.version>3.4.5</camel.version>
        <servicemix-specs-version>2.9.0</servicemix-specs-version>
        <caffeine-version>2.8.4</caffeine-version>
        <activemq.version>2.19.0</activemq.version>
        <cxf.version>3.3.6</cxf.version>
        <hibernate.version>5.2.17.Final</hibernate.version>
        <jpa.version>2.1.0</jpa.version>
        <aether.version>1.1.0</aether.version>
        <cellar.version>4.2.1</cellar.version>
        <spring.bundles.version>5.2.5.RELEASE_1</spring.bundles.version>
        <spring.version>5.2.5.RELEASE</spring.version>
        <mapstruct.version>1.3.1.Final</mapstruct.version>
        <ignite.version>2.8.1</ignite.version>
        <hazelcast.version>3.12.8</hazelcast.version>
        <gson.version>2.8.5</gson.version>
        <liquibase.version>3.6.3</liquibase.version>
        <mssql.version>7.4.1.jre8</mssql.version>
        <freemarker.version>2.3.31</freemarker.version>
        <!-- postgresql.version>42.2.5</postgresql.version -->
        <!--
        	version should be 42.2.7 or higher
        	to avoid
        		java.lang.ClassNotFoundException: javax.security.sasl.SaslException not found by org.postgresql.jdbc42
        	see https://github.com/pgjdbc/pgjdbc/issues/1503
         -->
        <postgresql.version>42.2.9</postgresql.version>
        <slf4j.version>1.7.30</slf4j.version>
        <javax.transaction.version>1.2</javax.transaction.version>
        <javax.interceptor.version>1.2</javax.interceptor.version>
        <javax.annotation-api.version>1.3.2</javax.annotation-api.version>
        <commons-lang3.version>3.2.1</commons-lang3.version>
        <commons-lang.version>2.6</commons-lang.version>
        <xerces.version>2.12.0</xerces.version>
        <commons-io.version>2.0.1</commons-io.version>
        <commons-codec.version>1.14</commons-codec.version>
        <log4j.version>1.2.17</log4j.version>
        <maven-bundle-plugin.version>5.1.1</maven-bundle-plugin.version>
        <jaxb.version>2.4.0-b180830.0438</jaxb.version>
        <jaxb-api.version>2.3.1</jaxb-api.version>
        <jaxb-impl.version>2.3.2</jaxb-impl.version>
        <jaxb-core.version>2.3.0.1</jaxb-core.version>
        <jaxb-xjc.version>2.2.11</jaxb-xjc.version>
        <jaxws-api.version>2.3.1</jaxws-api.version>
        <javax.jws-api.version>1.1</javax.jws-api.version>
        <jaxws.version>2.3.3</jaxws.version>
        
        <commons-collections4.version>4.4</commons-collections4.version>
        
        <!-- bundle settings -->
        <bundle.osgi.import.pkg>*</bundle.osgi.import.pkg>
        <bundle.osgi.private.pkg>{local-packages}</bundle.osgi.private.pkg>
        <bundle.osgi.export.pkg/>
        <bundle.osgi.dynamicimport.pkg/>
        <bundle.osgi.export.service/>
        <bundle.osgi.embed.dependency/>
        <bundle.osgi.persistence/>
        <bundle.osgi.remove.headers>Karaf-Commands</bundle.osgi.remove.headers>
        <bundle.osgi.karaf.services.artifactInclude>.*</bundle.osgi.karaf.services.artifactInclude>
        <!-- not used anymore -->
        <bundle.osgi.activator/>
        
        <!-- plugin versions -->
        <maven-surefire-plugin.version>2.22.2</maven-surefire-plugin.version>
        <maven-install-plugin.version>2.5.2</maven-install-plugin.version>
        <maven-deploy-plugin.version>2.8.2</maven-deploy-plugin.version>
        <maven-assembly-plugin.version>3.3.0</maven-assembly-plugin.version>
        <maven-antrun-plugin.version>3.0.0</maven-antrun-plugin.version>
        <maven-resources-plugin.version>3.1.0</maven-resources-plugin.version>
        <maven-dependency-plugin.version>3.1.2</maven-dependency-plugin.version>
        <build-helper-maven-plugin.version>3.2.0</build-helper-maven-plugin.version>
        <maven-war-plugin.version>3.3.2</maven-war-plugin.version>

		<!-- ui -->
        <hawtio.version>2.14.1</hawtio.version>
    </properties>

    <dependencyManagement>
        <dependencies>
            <!-- osgi -->
            <dependency>
                <groupId>org.osgi</groupId>
                <artifactId>osgi.core</artifactId>
                <version>${osgi.version}</version>
                <scope>provided</scope>
            </dependency>
		  	<dependency>
		  		<groupId>org.osgi</groupId>
		  		<artifactId>org.osgi.service.component.annotations</artifactId>
		  		<version>${osgi.service.component.annotations.version}</version>
		  		<scope>compile</scope>
		  	</dependency>        

            <!-- Karaf -->
            <dependency>
        		<groupId>org.apache.karaf.features</groupId>
        		<artifactId>org.apache.karaf.features.core</artifactId>
        		<version>${karaf.version}</version>
    		</dependency>
		    <dependency>
		        <groupId>org.apache.karaf</groupId>
		        <artifactId>org.apache.karaf.util</artifactId>
		        <version>${karaf.version}</version>
		    </dependency>
            
			<!-- Felix -->
	        <dependency>
	        	<groupId>org.apache.felix</groupId>
	        	<artifactId>org.apache.felix.scr</artifactId>
	        	<version>${felix.scr.version}</version>
	        </dependency>

            <!-- Camel BOM -->
            <dependency>
                <groupId>org.apache.camel</groupId>
                <artifactId>camel-parent</artifactId>
                <version>${camel.version}</version>
                <scope>import</scope>
                <type>pom</type>
            </dependency>

            <dependency>
                <groupId>org.apache.camel</groupId>
                <artifactId>camel-bom</artifactId>
                <version>${camel.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>

            <!-- JAXB for Java 11 -->
            <dependency>
                <groupId>org.glassfish.jaxb</groupId>
                <artifactId>jaxb-runtime</artifactId>
                <version>${jaxb.version}</version>
            </dependency>
            <dependency>
                <groupId>com.sun.xml.ws</groupId>
                <artifactId>jaxws-rt</artifactId>
                <version>${jaxws.version}</version>
            </dependency>
            <dependency>
                <groupId>com.sun.xml.ws</groupId>
                <artifactId>jaxws-ri</artifactId>
                <version>${jaxws.version}</version>
                <type>pom</type>
            </dependency>
            <dependency>
                <groupId>javax.xml.bind</groupId>
                <artifactId>jaxb-api</artifactId>
                <version>${jaxb-api.version}</version>
            </dependency>
            <dependency>
                <groupId>com.sun.xml.bind</groupId>
                <artifactId>jaxb-core</artifactId>
                <version>${jaxb-core.version}</version>
            </dependency>
            <dependency>
                <groupId>com.sun.xml.bind</groupId>
                <artifactId>jaxb-impl</artifactId>
                <version>${jaxb-impl.version}</version>
            </dependency>

            <!-- logging -->
            <dependency>
                <groupId>org.apache.logging.log4j</groupId>
                <artifactId>log4j-api</artifactId>
                <scope>runtime</scope>
            </dependency>
            <dependency>
                <groupId>org.apache.logging.log4j</groupId>
                <artifactId>log4j-core</artifactId>
                <scope>runtime</scope>
            </dependency>
            <dependency>
                <groupId>org.apache.logging.log4j</groupId>
                <artifactId>log4j-slf4j-impl</artifactId>
                <scope>runtime</scope>
            </dependency>
            <dependency>
                <groupId>org.slf4j</groupId>
                <artifactId>slf4j-api</artifactId>
                <version>${slf4j.version}</version>
                <scope>provided</scope>
            </dependency>
            <dependency>
                <groupId>org.slf4j</groupId>
                <artifactId>slf4j-log4j12</artifactId>
                <version>${slf4j.version}</version>
                <scope>provided</scope>
            </dependency>
            <dependency>
                <groupId>org.slf4j</groupId>
                <artifactId>jul-to-slf4j</artifactId>
                <version>${slf4j.version}</version>
                <scope>provided</scope>
            </dependency>
            <dependency>
                <groupId>log4j</groupId>
                <artifactId>log4j</artifactId>
                <version>${log4j.version}</version>
                <scope>provided</scope>
            </dependency>

            <!-- database -->
            <dependency>
                <groupId>org.liquibase</groupId>
                <artifactId>liquibase-core</artifactId>
                <version>${liquibase.version}</version>
                <scope>provided</scope>
            </dependency>
            <dependency>
                <groupId>com.microsoft.sqlserver</groupId>
                <artifactId>mssql-jdbc</artifactId>
                <version>${mssql.version}</version>
                <scope>provided</scope>
            </dependency>
            <dependency>
                <groupId>org.postgresql</groupId>
                <artifactId>postgresql</artifactId>
                <version>${postgresql.version}</version>
                <scope>provided</scope>
            </dependency>

            
            <!-- others -->
            <dependency>
                <groupId>com.google.code.gson</groupId>
                <artifactId>gson</artifactId>
                <version>${gson.version}</version>
            </dependency>
		    <dependency>
		    	<groupId>org.apache.commons</groupId>
		    	<artifactId>commons-collections4</artifactId>
		    	<version>${commons-collections4.version}</version>
		    </dependency>	  	
            
        </dependencies>
    </dependencyManagement>

	<dependencies>
		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-api</artifactId>
		</dependency>
		<dependency>
			<groupId>org.osgi</groupId>
			<artifactId>osgi.core</artifactId>
		</dependency>
	</dependencies>

    <build>
        <resources>
            <!-- globally enable resource filtering -->
            <resource>
                <directory>src/main/resources</directory>
                <filtering>true</filtering>
            </resource>
            <!-- then disable it for specific resources -->
            <resource>
                <directory>src/main/resources</directory>
                <includes>
                    <include>**/*context.xml</include>
                    <include>**/*blueprint.xml</include>
                </includes>
                <filtering>false</filtering>
            </resource>
        </resources>
        <pluginManagement>
            <plugins>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-surefire-plugin</artifactId>
                    <version>${maven-surefire-plugin.version}</version>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-install-plugin</artifactId>
                    <version>${maven-install-plugin.version}</version>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-deploy-plugin</artifactId>
                    <version>${maven-deploy-plugin.version}</version>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-dependency-plugin</artifactId>
                    <version>${maven-dependency-plugin.version}</version>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-assembly-plugin</artifactId>
                    <version>${maven-assembly-plugin.version}</version>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-antrun-plugin</artifactId>
                    <version>${maven-antrun-plugin.version}</version>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-resources-plugin</artifactId>
                    <version>${maven-resources-plugin.version}</version>
                </plugin>
                <plugin>
                    <groupId>org.codehaus.mojo</groupId>
                    <artifactId>license-maven-plugin</artifactId>
                    <version>2.0.0</version>
                </plugin>
                <plugin>
                    <groupId>org.apache.karaf.tooling</groupId>
                    <artifactId>karaf-services-maven-plugin</artifactId>
                    <version>${karaf.version}</version>
                </plugin>
                <plugin>
                    <groupId>com.soebes.maven.plugins</groupId>
                    <artifactId>iterator-maven-plugin</artifactId>
                    <version>0.5.1</version>
                </plugin>
                <plugin>
                    <groupId>org.codehaus.mojo</groupId>
                    <artifactId>build-helper-maven-plugin</artifactId>
                    <version>${build-helper-maven-plugin.version}</version>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-war-plugin</artifactId>
                    <version>${maven-war-plugin.version}</version>
                </plugin>
            </plugins>
        </pluginManagement>
        <plugins>
            <plugin>
                <groupId>org.apache.felix</groupId>
                <artifactId>maven-bundle-plugin</artifactId>
                <version>${maven-bundle-plugin.version}</version>
                <extensions>true</extensions>
                <configuration>
                	<obrRepository>NONE</obrRepository>
                    <instructions>
                        <Bundle-SymbolicName>${project.groupId}.${project.artifactId}</Bundle-SymbolicName>
                        <Bundle-Description>${project.description}</Bundle-Description>
                        <Export-Package>${bundle.osgi.export.pkg}</Export-Package>
                        <Import-Package>${bundle.osgi.import.pkg}</Import-Package>
                        <Private-Package>${bundle.osgi.private.pkg}</Private-Package>
                        <DynamicImport-Package>${bundle.osgi.dynamicimport.pkg}</DynamicImport-Package>
                        <Export-Service/>
                        <Embed-Dependency>${bundle.osgi.embed.dependency}</Embed-Dependency>
                        <Meta-Persistence>${bundle.osgi.persistence}</Meta-Persistence>
                        
                        <!-- breaks @Services annotation-based manifest generation -->
                        <!-- Bundle-Activator>${bundle.osgi.activator}</Bundle-Activator -->
                        
                        <!-- BND instruction to remove headers from manifest -->
                        <!-- by default we remove "Karaf-Commands" header -->
                        <_removeheaders>${bundle.osgi.remove.headers}</_removeheaders>
                    </instructions>
                </configuration>
            </plugin>
            <!-- support for @Services annotation and annotations related to shell commands -->
		    <plugin>
		        <groupId>org.apache.karaf.tooling</groupId>
		        <artifactId>karaf-services-maven-plugin</artifactId>
	            <executions>
					<execution>
						<id>service-metadata-generate</id>
						<phase>process-classes</phase>
						<goals>
							<goal>service-metadata-generate</goal>
						</goals>
						<configuration>
							<artifactInclude>${bundle.osgi.karaf.services.artifactInclude}</artifactInclude>
						</configuration>
					</execution>
	            </executions>
		    </plugin>            
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-resources-plugin</artifactId>
                <configuration>
                    <encoding>UTF-8</encoding>
                </configuration>
                <executions>
                    <execution>
                        <phase>process-resources</phase>
                        <goals>
                            <goal>resources</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
            <!-- compiler plugin -->
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.8.0</version>
                <configuration>
                    <release>11</release>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.karaf.tooling</groupId>
                <artifactId>karaf-maven-plugin</artifactId>
                <version>${karaf.version}</version>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-dependency-plugin</artifactId>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-antrun-plugin</artifactId>
            </plugin>
            <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>build-helper-maven-plugin</artifactId>
            </plugin>

            <!-- CICD stuff -->
            <!--            <plugin>-->
            <!--                <groupId>org.apache.maven.plugins</groupId>-->
            <!--                <artifactId>maven-release-plugin</artifactId>-->
            <!--                <version>2.5.3</version>-->
            <!--               <configuration>-->
            <!--                    <autoVersionSubmodules>true</autoVersionSubmodules>-->
            <!--                    <tagNameFormat>v@{project.version}</tagNameFormat>-->
            <!--                    <releaseProfiles>emdev.repo</releaseProfiles>-->
            <!--                    <developmentVersion>${parsedVersion.majorVersion}.${parsedVersion.nextMinorVersion}.0-SNAPSHOT</developmentVersion>-->
            <!--                    <branchName>${parsedVersion.majorVersion}.${parsedVersion.minorVersion}</branchName>-->
            <!--                </configuration>-->
            <!--            </plugin>-->
            <!--            <plugin>-->
            <!--                <groupId>org.codehaus.mojo</groupId>-->
            <!--                <artifactId>build-helper-maven-plugin</artifactId>-->
            <!--                <version>1.8</version>-->
            <!--                <inherited>false</inherited>-->
            <!--                <executions>-->
            <!--                    <execution>-->
            <!--                        <id>parse-versions-for-release</id>-->
            <!--                        <phase>validate</phase>-->
            <!--                        <goals>-->
            <!--                            <goal>parse-version</goal>-->
            <!--                        </goals>-->
            <!--                        <configuration>-->
            <!--                            <propertyPrefix>parsedVersion</propertyPrefix>-->
            <!--                        </configuration>-->
            <!--                    </execution>-->
            <!--                </executions>-->
            <!--              </plugin>-->
            <!--              <plugin>-->
            <!--                <groupId>org.apache.maven.plugins</groupId>-->
            <!--                <artifactId>maven-antrun-plugin</artifactId>-->
            <!--                <version>1.8</version>-->
            <!--                <executions>-->
            <!--                    <execution>-->
            <!--                        <inherited>false</inherited>-->
            <!--                        <phase>initialize</phase>-->
            <!--                        <goals>-->
            <!--                            <goal>run</goal>-->
            <!--                        </goals>-->
            <!--                        <configuration>-->
            <!--                            <target>-->
            <!--                                <echo>Major: ${parsedVersion.majorVersion}</echo>-->
            <!--                                <echo>Minor: ${parsedVersion.minorVersion}</echo>-->
            <!--                                <echo>Next Minor: ${parsedVersion.nextMinorVersion}</echo>-->
            <!--                                <echo>Incremental: ${parsedVersion.incrementalVersion}</echo>-->
            <!--                                <echo>Qualifier: ${parsedVersion.qualifier}</echo>-->
            <!--                                <echo>BuildNumber: ${parsedVersion.buildNumber}</echo>-->
            <!--                            </target>-->
            <!--                        </configuration>-->
            <!--                    </execution>-->
            <!--                </executions>-->
            <!--            </plugin>-->
        </plugins>
    </build>

    <!-- TODO Imrove it!!! -->
    <profiles>
        <profile>
            <id>private-deploy</id>
            <activation>
                <property>
                    <name>!skipPrivateDeploy</name>
                </property>
            </activation>
            <distributionManagement>
                <repository>
                    <id>entaxy-private-releases</id>
                    <name>entaxy-private-releases</name>
                    <uniqueVersion>false</uniqueVersion>
                    <layout>default</layout>
                    <!-- url>http://localhost:8981/repository/entaxy-private-releases/</url -->
                    <url>https://nexus.entaxy.ru/nexus/repository/entaxy-private-releases/</url>

                </repository>
                <snapshotRepository>
                    <id>entaxy-private-snapshots</id>
                    <name>entaxy-private-snapshots</name>
                    <uniqueVersion>false</uniqueVersion>
                    <layout>default</layout>
                    <!-- url>http://localhost:8981/repository/entaxy-private-snapshots/</url -->
                    <url>https://nexus.entaxy.ru/nexus/repository/entaxy-private-snapshots/</url>
                </snapshotRepository>
            </distributionManagement>
        </profile>

        <profile>
            <id>public-deploy</id>
            <activation>
                <activeByDefault>false</activeByDefault>
            </activation>
            <distributionManagement>
                <repository>
                    <id>entaxy-public-entaxy</id>
                    <name>entaxy-public-entaxy</name>
                    <uniqueVersion>false</uniqueVersion>
                    <layout>default</layout>
                    <!--  url>http://localhost:8981/repository/entaxy-public-entaxy/</url -->
                    <url>https://nexus.entaxy.ru/nexus/repository/entaxy-public-entaxy/</url>
                </repository>
                <!-- we don't publish snapshots -->
                <!-- snapshotRepository>
                    <id>entaxy-private-snapshots</id>
                    <name>entaxy-private-snapshots</name>
                    <uniqueVersion>false</uniqueVersion>
                    <layout>default</layout>
                    <url>http://localhost:8981/repository/entaxy-private-snapshots/</url>
                </snapshotRepository -->
            </distributionManagement>
        </profile>

        <profile>
            <id>emdev.repo</id>
            <!-- http://maven.apache.org/pom.html#Distribution_Management -->
            <distributionManagement>
                <snapshotRepository>
                    <id>private-snapshots</id>
                    <name>EmDev Private Snapshots</name>
                    <url>http://build.emdev.ru/nexus/content/repositories/private-snapshots/</url>
                </snapshotRepository>
                <repository>
                    <id>emdev-private</id>
                    <name>EmDev Private</name>
                    <url>http://build.emdev.ru/nexus/content/repositories/emdev-private/</url>
                </repository>
            </distributionManagement>
        </profile>
        <profile>
            <id>release_plugins</id>
        </profile>
        <profile>
            <id>docker.reposilite</id>
            <distributionManagement>
                <repository>
                    <id>local-reposilte-releases</id>
                    <url>http://127.0.0.1:8081/releases</url>
                </repository>
                <snapshotRepository>
                    <id>local-reposilte-snapshots</id>
                    <url>http://127.0.0.1:8081/snapshots</url>
                </snapshotRepository>
            </distributionManagement>
        </profile>
        <profile>
            <id>docker.file.repo</id>
            <distributionManagement>
                <snapshotRepository>
                    <id>entaxy-maven-repo-file</id>
                    <url>file:./temp/entaxy-docker/karaf/repo</url>
                </snapshotRepository>
            </distributionManagement>
        </profile>
        <profile>
            <id>features</id>
            <build>
                <!-- resources>
                    <resource>
                        <directory>src/main/features</directory>
                        <filtering>true</filtering>
                        <includes>
                            <include>**/features.xml</include>
                        </includes>
                        <targetPath>${project.build.directory}/features</targetPath>
                    </resource>
                </resources -->
                <plugins>
                	<plugin>
                		<artifactId>maven-resources-plugin</artifactId>
						<executions>
							<execution>
								<id>copy-features</id>
								<phase>validate</phase>
								<goals>
									<goal>copy-resources</goal>
								</goals>
								<configuration>
									<outputDirectory>${project.build.directory}/features</outputDirectory>
									<resources>          
										<resource>
											<directory>src/main/features</directory>
											<filtering>true</filtering>
					                        <includes>
					                            <include>**/features.xml</include>
					                        </includes>
										</resource>
									</resources>              
								</configuration>            
							</execution>
						</executions>                		
                	</plugin>
                    <plugin>
                        <groupId>org.codehaus.mojo</groupId>
                        <artifactId>build-helper-maven-plugin</artifactId>
                        <executions>
                            <execution>
                                <id>attach-features</id>
                                <phase>package</phase>
                                <goals>
                                    <goal>attach-artifact</goal>
                                </goals>
                                <configuration>
                                    <artifacts>
                                        <artifact>
                                            <file>target/features/features.xml</file>
                                            <type>xml</type>
                                            <classifier>features</classifier>
                                        </artifact>
                                    </artifacts>
                                </configuration>
                            </execution>
                        </executions>
                    </plugin>
                </plugins>
            </build>
            <activation>
                <file>
                    <exists>src/main/features/features.xml</exists>
                </file>
            </activation>
        </profile>
        <profile>
            <id>asciidoctor</id>
            <build>
                <plugins>
                    <plugin>
                        <groupId>org.asciidoctor</groupId>
                        <artifactId>asciidoctor-maven-plugin</artifactId>
                        <version>2.2.1</version>
                        <executions>
                            <execution>
                                <id>convert-to-html</id>
                                <phase>generate-resources</phase>
                                <goals>
                                    <goal>process-asciidoc</goal>
                                </goals>
                                <configuration>
                                    <sourceDirectory>documentation</sourceDirectory>
                                    <outputDirectory>${project.build.directory}/documentation</outputDirectory>
                                    <preserveDirectories>true</preserveDirectories>
                                    <attributes>
                                        <source-highlighter>coderay</source-highlighter>
                                        <toc>left</toc>
                                        <icons>font</icons>

                                        <sectanchors>true</sectanchors>
                                        <!-- set the idprefix to blank -->
                                        <idprefix/>
                                        <idseparator>-</idseparator>
                                        <docinfo1>true</docinfo1>
                                        <stylesdir>_styles</stylesdir>
                                        <stylesheet>entaxy.css</stylesheet>
                                        <linkcss>false</linkcss>
                                        <copyright>EmDev LLC</copyright>
                                    </attributes>
                                </configuration>
                            </execution>
                        </executions>
                    </plugin>

		            <plugin>
		                <groupId>org.apache.maven.plugins</groupId>
		                <artifactId>maven-antrun-plugin</artifactId>
		                <executions>
		                	<execution>
		                		<id>postprocess-html</id>
                                <phase>generate-resources</phase>
                                <goals>
                                    <goal>run</goal>
                                </goals>
		                		<configuration>
		                			<target>
										<replaceregexp byline="true">
										    <regexp pattern="link([^>])+https://cdnjs.cloudflare.com([^>])+>"/>
										    <substitution expression="!-- link is removed -->"/>
										    <fileset dir="${project.build.directory}/documentation" includes="**/*.html">
										    </fileset>
										</replaceregexp>		                			
		                			</target>
		                		</configuration>
		                	</execution>
		                </executions>
		            </plugin>

                    <plugin>
                        <artifactId>maven-assembly-plugin</artifactId>
                        <executions>
                            <execution>
                                <id>assebmly</id>
                                <phase>package</phase>
                                <goals>
                                    <goal>single</goal>
                                </goals>
                                <configuration>
                                    <finalName>documents</finalName>
                                    <appendAssemblyId>true</appendAssemblyId>
                                    <descriptors>
                                        <descriptor>src/documentation/assembly/assembly.xml</descriptor>
                                    </descriptors>
                                </configuration>
                            </execution>
                        </executions>
                    </plugin>
                </plugins>
            </build>
            <activation>
                <file>
                    <exists>documentation/index.adoc</exists>
                </file>
            </activation>
        </profile>

        <!-- localize all the licensing functionality to autostarting (for now) profile -->
        <profile>

            <id>license</id>
            <activation>
                <property>
                    <name>!skipLicense</name>
                </property>
            </activation>

            <properties>

                <!-- we can use ${project.organization.name} here, but we won't -->
                <license.organizationName>EmDev LLC</license.organizationName>

                <license.inceptionYear>2020</license.inceptionYear>
                <license.projectName>${project.artifactId}</license.projectName>
                <license.copyrightOwners>${license.organizationName}</license.copyrightOwners>
                <license.licenseName>apache_v2</license.licenseName>

                <license.processStartTag>~~~~~~licensing~~~~~~</license.processStartTag>
                <license.processEndTag>~~~~~~/licensing~~~~~~</license.processEndTag>
                <license.sectionDelimiter>==========</license.sectionDelimiter>

            </properties>

            <build>

                <resources>
                    <!-- we have to configure it due to (see below): -->
                    <resource>
                        <filtering>false</filtering>
                        <directory>${project.build.directory}/generated-sources/license</directory>

                        <!-- (1) only META-INF/LICENSE is included due to potential bug
                        (see comment below at "add-third-party" goal of license-maven-plugin configuration),
                        so to add META-INF/DEPENDENCIES also we have to treat them all as resources -->
                        <includes>
                            <include>META-INF/*</include>
                        </includes>

                        <!-- (2) we don't need no ...
                            - education?
                            - NO! LICENSE.txt and THIRD-PARTY.txt at the root of the bundle  -->
                        <excludes>
                            <exclude>*.txt</exclude>
                        </excludes>
                    </resource>
                </resources>

                <plugins>
                    <plugin>
                        <groupId>org.codehaus.mojo</groupId>
                        <artifactId>license-maven-plugin</artifactId>
                        <executions>
                            <execution>
                                <id>update-project-license</id>
                                <goals>
                                    <goal>update-project-license</goal>
                                </goals>
                                <configuration>
                                    <organizationName>${license.organizationName}</organizationName>
                                    <inceptionYear>${license.inceptionYear}</inceptionYear>
                                    <projectName>${license.projectName}</projectName>
                                    <copyrightOwners>${license.copyrightOwners}</copyrightOwners>
                                    <licenseName>${license.licenseName}</licenseName>
									
									<keepBackup>false</keepBackup>
									
                                    <bundleLicensePath>META-INF/LICENSE</bundleLicensePath>
                                    <generateBundle>true</generateBundle>
                                </configuration>
                            </execution>

                            <execution>
                                <id>add-third-party</id>
                                <goals>
                                    <goal>add-third-party</goal>
                                </goals>
                                <configuration>
                                    <bundleThirdPartyPath>META-INF/DEPENDENCIES</bundleThirdPartyPath>

                                    <!-- in fact this isn't added to bundle, so we configure "resources" in the profile -->
                                    <generateBundle>true</generateBundle>

                                    <includeTransitiveDependencies>false</includeTransitiveDependencies>
                                    <excludedScopes>test, provided</excludedScopes>

                                    <!--
                                        - we don't need ..
                                        - no education?
                                        - shut up! we don't need our own modules being mentioned as 3rd-party dependencies
                                     -->
                                    <excludedGroups>^ru\.entaxy\.esb</excludedGroups>

                                    <licenseMerges>
                                        <licenseMerge>Apache License, Version 2.0|The Apache Software License, Version 2.0|The Apache License, Version 2.0|Apache 2.0 License|Apache 2.0|Apache-2.0</licenseMerge>
                                        <licenseMerge>EDL 1.0|Eclipse Distribution License v. 1.0|Eclipse Distribution License - v 1.0</licenseMerge>
                                        <licenseMerge>EPL 2.0|Eclipse Public License v. 2.0</licenseMerge>
                                        <licenseMerge>EPL 1.0|Eclipse Public License v. 1.0|Eclipse Public License v1.0</licenseMerge>
                                        <licenseMerge>CDDL/GPLv2+CE|CDDL + GPLv2 with classpath exception</licenseMerge>
                                        <licenseMerge>GPLv2+CE|GPL2 w/ CPE</licenseMerge>
                                        <licenseMerge>CDDL/GPL|CDDL+GPL License</licenseMerge>
                                        <licenseMerge>LGPL|lgpl|GNU Lesser General Public License</licenseMerge>
                                        <licenseMerge>BSD|The BSD License</licenseMerge>
                                        <licenseMerge>MIT|MIT License</licenseMerge>
                                    </licenseMerges>
                                </configuration>
                            </execution>

                            <execution>
                                <id>update-file-header</id>
                                <goals>
                                    <goal>update-file-header</goal>
                                </goals>
                                <phase>process-sources</phase>
                                <configuration>
                                    <organizationName>${license.organizationName}</organizationName>
                                    <inceptionYear>${license.inceptionYear}</inceptionYear>
                                    <projectName>${license.projectName}</projectName>
                                    <copyrightOwners>${license.copyrightOwners}</copyrightOwners>
                                    <licenseName>${license.licenseName}</licenseName>

                                    <!-- plugin documentation recommends "true"
                                    but we use "false" to look like Apache sources -->
                                    <addJavaLicenseAfterPackage>false</addJavaLicenseAfterPackage>
                                    <emptyLineAfterHeader>false</emptyLineAfterHeader>

                                    <excludes>
                                        <exclude>**/*.json</exclude>
                                        <!-- *.ftl files will be processed by the next plugin -->
                                        <exclude>**/*.ftl</exclude>
                                    </excludes>
                                    <extraExtensions>
                                        <!-- treat *.cfg files as *.properties -->
                                        <cfg>properties</cfg>
                                    </extraExtensions>

                                    <ignoreNoFileToScan>true</ignoreNoFileToScan>
                                    <keepBackup>false</keepBackup>

                                    <processStartTag>${license.processStartTag}</processStartTag>
                                    <processEndTag>${license.processEndTag}</processEndTag>
                                    <sectionDelimiter>${license.sectionDelimiter}</sectionDelimiter>
                                </configuration>
                            </execution>
                        </executions>
                    </plugin>
                    
		        	<plugin>
						<groupId>com.mycila</groupId>
						<artifactId>license-maven-plugin</artifactId>
						<version>4.1</version>
						<executions>
							<execution>
								<id>update-ftl-header</id>
								<goals>
									<goal>format</goal>
								</goals>
								<phase>process-sources</phase>
								<configuration>
								    <properties>
								      <owner>EmDev LLC</owner>
								      <email>entaxy@entaxy.ru</email>
								      <year>2021</year>
								    </properties>
								    <licenseSets>
								      <licenseSet>
								        <!-- header>com/mycila/maven/plugin/license/templates/APACHE-2.txt</header -->
								        <inlineHeader>~~~~~~licensing~~~~~~
${license.projectName}
==========
Copyright (C) 2020 - ${year} ${owner}
==========
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
~~~~~~/licensing~~~~~~</inlineHeader>
								        <includes>
								        	<include>**/*.ftl</include>
								        </includes>
								      </licenseSet>
								    </licenseSets>
									<mapping>
										<ftl>FTL_ALT</ftl>
									</mapping>
								</configuration>
							</execution>
						</executions>
			        </plugin>			                               
                    
                </plugins>

            </build>

        </profile>

	    <profile>
	    	<id>license-aggregate</id>
	    	<activation>
	    		<file>
	    			<exists>aggregate.marker</exists>
	    		</file>
	    	</activation>
	
	    	<build>
				<plugins>
			  		<plugin>
				        <groupId>org.codehaus.mojo</groupId>
				        <artifactId>license-maven-plugin</artifactId>
				        <executions>
							<!-- collect all the dependencies through all the underlying modules
							 -->	
							<execution>
					            <id>aggregate-add-third-party</id>
					            <goals>
					              <goal>aggregate-add-third-party</goal>
					            </goals>
					            <phase>prepare-package</phase>
								<configuration>
									<outputDirectory>${project.build.directory}/generated-sources/license</outputDirectory>
									<thirdPartyFilename>ALL-DEPENDENCIES</thirdPartyFilename>
									
									<acceptPomPackaging>true</acceptPomPackaging>
									<includeTransitiveDependencies>false</includeTransitiveDependencies>
									<excludeTransitiveDependencies>true</excludeTransitiveDependencies>
									<excludedGroups>^ru\.entaxy\.esb</excludedGroups>
									<excludedScopes>test, provided</excludedScopes>
					            	<licenseMerges>
										<licenseMerge>Apache License, Version 2.0|The Apache Software License, Version 2.0|The Apache License, Version 2.0|Apache 2.0 License|Apache 2.0</licenseMerge>
										<licenseMerge>EDL 1.0|Eclipse Distribution License v. 1.0|Eclipse Distribution License - v 1.0</licenseMerge>
										<licenseMerge>EPL 2.0|Eclipse Public License v. 2.0</licenseMerge>
										<licenseMerge>EPL 1.0|Eclipse Public License v. 1.0|Eclipse Public License v1.0</licenseMerge>
										<licenseMerge>CDDL/GPLv2+CE|CDDL + GPLv2 with classpath exception</licenseMerge>
										<licenseMerge>GPLv2+CE|GPL2 w/ CPE</licenseMerge>
										<licenseMerge>CDDL/GPL|CDDL+GPL License</licenseMerge>
										<licenseMerge>LGPL|lgpl|GNU Lesser General Public License</licenseMerge>
										<licenseMerge>BSD|The BSD License</licenseMerge>
										<licenseMerge>MIT|MIT License</licenseMerge>
									</licenseMerges>
								</configuration>
							</execution>
				        </executions>
					</plugin>
	
	                <plugin>
	                    <groupId>org.codehaus.mojo</groupId>
	                    <artifactId>build-helper-maven-plugin</artifactId>
	                    <executions>
	                        <execution>
	                            <id>attach-dependencies</id>
	                            <phase>package</phase>
	                            <goals>
	                                <goal>attach-artifact</goal>
	                            </goals>
	                            <configuration>
	                                <artifacts>
	                                    <artifact>
	                                        <file>target/generated-sources/license/ALL-DEPENDENCIES</file>
	                                        <type>deps</type>
	                                        <classifier>aggregated</classifier>
	                                    </artifact>
	                                </artifacts>
	                            </configuration>
	                        </execution>
	                    </executions>
	                </plugin>
	
				</plugins>			      
	    	</build>
	    	
	    </profile>

		<profile>
			<id>attach-healthchecks</id>
			<activation>
				<file>
					<exists>src/main/healthcheck</exists>
				</file>
			</activation>
			<build>
				<plugins>
                	<plugin>
                		<artifactId>maven-resources-plugin</artifactId>
						<executions>
							<execution>
								<id>copy-healthchecks</id>
								<phase>validate</phase>
								<goals>
									<goal>copy-resources</goal>
								</goals>
								<configuration>
									<outputDirectory>${project.build.directory}/healthcheck</outputDirectory>
									<resources>          
										<resource>
											<directory>src/main/healthcheck</directory>
											<filtering>true</filtering>
					                        <includes>
					                            <include>*.*</include>
					                        </includes>
										</resource>
									</resources>              
								</configuration>            
							</execution>
						</executions>                		
                	</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-antrun-plugin</artifactId>
					<executions>
						<execution>
					        <id>collect-healthckeck-configs</id>
					        <phase>prepare-package</phase>
					        <goals>
						        <goal>run</goal>
					        </goals>
							<configuration>
								<exportAntProperties>true</exportAntProperties>
								<target>
									<pathconvert property="file.list.tmp">
										<fileset dir="${project.build.directory}/healthcheck">
											<include name="*.*"></include>
										</fileset>								
									</pathconvert>
									<!-- echo>[file.list.tmp] ${file.list.tmp}</echo -->
									<echo file="${project.build.directory}/tmp/files">${file.list.tmp}</echo>
									<replace file="${project.build.directory}/tmp/files" 
													token="\"
													value="\\\\" />
									<loadfile property="file.list" srcFile="${project.build.directory}/tmp/files"/>		
									<delete file="src/main/healthcheck/generated/fragments.xml" />		
								</target>
							</configuration>
						</execution>
						
						<!-- TO REMOVE -->
						<!-- execution>
							<phase>package</phase>
							<goals>
								<goal>run</goal>
							</goals>
							<configuration>
								<target>
									<echo>Displaying value of 'file.list' property</echo>
									<echo>[file.list] ${file.list}</echo>
								</target>
							</configuration>
						</execution -->
										
					</executions>
				</plugin>  	
				<plugin>
				  <groupId>com.soebes.maven.plugins</groupId>
				  <artifactId>iterator-maven-plugin</artifactId>
				  <executions>
				    <execution>
				    	<id>iterate-healthcheck-configs</id>
						<phase>package</phase>
						<goals>
						  <goal>iterator</goal>
						</goals>
						<configuration>
					        <content>${file.list}</content>
					        <delimiter>${path.separator}</delimiter>
					        <pluginExecutors>
					        	<pluginExecutor>
					        		<plugin>
					        			<groupId>org.apache.maven.plugins</groupId>
										<artifactId>maven-antrun-plugin</artifactId>
					        		</plugin>
					        		<goal>run</goal>
					        		<configuration>
					        			<target>
					        				<property name="item.current">@item@</property>
					        				<basename property="filename.full" file="${item.current}" suffix=".cfg"/>
					        				<echo file="${project.build.directory}/tmp/properties">filename.current=${filename.full}</echo>
					        				<echo file="src/main/healthcheck/generated/fragments.xml" append="true">
					        				<![CDATA[
<!-- -->		        				
<configfile finalname="${karaf.etc}/${filename.full}.cfg" override="true">
	mvn:${project.groupId}/${project.artifactId}/${project.version}/cfg/${filename.full}
</configfile> 
<!-- --> 
											]]>
					        				</echo>
					        			</target>
					        		</configuration>
					        	</pluginExecutor>
					          <pluginExecutor>
					            <plugin>
					              <groupId>org.codehaus.mojo</groupId>
					              <artifactId>properties-maven-plugin</artifactId>
					              <version>1.0.0</version>
					            </plugin>
					            <goal>read-project-properties</goal>
					            <configuration>
					              <files>
					                <file>${project.build.directory}/tmp/properties</file>
					              </files>		            
					            </configuration>
					          </pluginExecutor>
					          
					          <!-- TO REMOVE -->  
					          <!-- pluginExecutor>
					            <plugin>
					              <groupId>com.soebes.maven.plugins</groupId>
					              <artifactId>maven-echo-plugin</artifactId>
					              <version>0.1</version>
					            </plugin>
					            <goal>echo</goal>
					            <configuration>
					              <echos>
					                <echo>This is a message: @item@</echo>
					                <echo>This is a message: ${filename.current}</echo>
					              </echos>
					            </configuration>
					          </pluginExecutor -->
					          
					          <pluginExecutor>
					            <plugin>
									<groupId>org.codehaus.mojo</groupId>
									<artifactId>build-helper-maven-plugin</artifactId>
									<version>${build-helper-maven-plugin.version}</version>
					            </plugin>
					            <goal>attach-artifact</goal>
								<configuration>
									<artifacts>
										<artifact>
											<file>src/main/healthcheck/${filename.current}.cfg</file>
											<type>cfg</type>
											<classifier>${filename.current}</classifier>
										</artifact>
									</artifacts>
								</configuration>
					          </pluginExecutor>
					        </pluginExecutors>
				      </configuration>
				    </execution>
				  </executions>
		  		</plugin>  	
		  	</plugins>
		  </build>
		</profile>

        <!-- begin of maven-version-plugin -->
        <profile>
            <id>setVersion</id>
            <activation>
                <activeByDefault>false</activeByDefault>
            </activation>
            <build>
                <plugins>
                    <plugin>
                        <groupId>org.codehaus.mojo</groupId>
                        <artifactId>versions-maven-plugin</artifactId>
                        <inherited>false</inherited>
                        <executions>
                            <execution>
                                <id>set-version</id>
                                <phase>validate</phase>
                                <goals>
                                    <goal>set</goal>
                                </goals>
                                <configuration>
                                    <processAllModules>true</processAllModules>
                                    <processParent>true</processParent>
                                    <processFromLocalAggregationRoot>false</processFromLocalAggregationRoot>
                                </configuration>
                            </execution>
                            <execution>
                                <id>update-children</id>
                                <phase>validate</phase>
                                <goals>
                                    <goal>update-child-modules</goal>
                                </goals>
                                <configuration>
                                </configuration>
                            </execution>
                        </executions>
                    </plugin>
                </plugins>
            </build>
        </profile>
        <profile>
            <id>removeSnapshot</id>
            <activation>
                <activeByDefault>false</activeByDefault>
            </activation>
            <build>
                <plugins>
                    <plugin>
                        <groupId>org.codehaus.mojo</groupId>
                        <artifactId>build-helper-maven-plugin</artifactId>
                        <executions>
                            <execution>
                                <id>parse-version</id>
                                <phase>validate</phase>
                                <goals>
                                    <goal>parse-version</goal>
                                </goals>
                            </execution>
                        </executions>
                    </plugin>
                    <plugin>
                        <groupId>org.codehaus.mojo</groupId>
                        <artifactId>versions-maven-plugin</artifactId>
                        <inherited>false</inherited>
                        <executions>
                            <execution>
                                <id>set-version</id>
                                <phase>validate</phase>
                                <goals>
                                    <goal>set</goal>
                                    <!-- goal>update-child-modules</goal -->
                                </goals>
                                <configuration>
                                    <processAllModules>false</processAllModules>
                                    <processParent>true</processParent>
                                    <processFromLocalAggregationRoot>false</processFromLocalAggregationRoot>
                                    <newVersion>${parsedVersion.majorVersion}.${parsedVersion.minorVersion}.${parsedVersion.incrementalVersion}</newVersion>
                                    <removeSnapshot>true</removeSnapshot>
                                </configuration>
                            </execution>
                            <execution>
                                <id>update-children</id>
                                <phase>validate</phase>
                                <goals>
                                    <goal>update-child-modules</goal>
                                </goals>
                                <configuration>
                                </configuration>
                            </execution>
                        </executions>
                    </plugin>
                </plugins>
            </build>
        </profile>
        <profile>
            <id>nextSnapshot</id>
            <activation>
                <activeByDefault>false</activeByDefault>
            </activation>
            <build>
                <plugins>
                    <plugin>
                        <groupId>org.codehaus.mojo</groupId>
                        <artifactId>build-helper-maven-plugin</artifactId>
                        <executions>
                            <execution>
                                <id>parse-version</id>
                                <phase>validate</phase>
                                <goals>
                                    <goal>parse-version</goal>
                                </goals>
                            </execution>
                        </executions>
                    </plugin>
                    <plugin>
                        <groupId>org.codehaus.mojo</groupId>
                        <artifactId>versions-maven-plugin</artifactId>
                        <inherited>false</inherited>
                        <executions>
                            <execution>
                                <id>set-version</id>
                                <phase>validate</phase>
                                <goals>
                                    <goal>set</goal>
                                </goals>
                                <configuration>
                                    <processAllModules>true</processAllModules>
                                    <processParent>true</processParent>
                                    <processFromLocalAggregationRoot>false</processFromLocalAggregationRoot>
                                    <!-- newVersion>${parsedVersion.majorVersion}.${parsedVersion.minorVersion}.${parsedVersion.nextIncrementalVersion}-SNAPSHOT</newVersion -->
                                    <newVersion>${parsedVersion.majorVersion}.${parsedVersion.minorVersion}.${parsedVersion.incrementalVersion}</newVersion>
                                    <nextSnapshot>true</nextSnapshot>
                                </configuration>
                            </execution>
                            <execution>
                                <id>update-children</id>
                                <phase>validate</phase>
                                <goals>
                                    <goal>update-child-modules</goal>
                                </goals>
                                <configuration>
                                </configuration>
                            </execution>
                        </executions>
                    </plugin>
                </plugins>
            </build>
        </profile>
        <profile>
            <id>revert</id>
            <activation>
                <activeByDefault>false</activeByDefault>
            </activation>
            <build>
                <plugins>
                    <plugin>
                        <artifactId>versions-maven-plugin</artifactId>
                        <executions>
                            <execution>
                                <phase>validate</phase>
                                <goals><goal>revert</goal></goals>
                            </execution>
                        </executions>
                    </plugin>
                </plugins>
            </build>
        </profile>
        <!-- end of maven-version-plugin -->
    </profiles>
    <!-- TODO Imrove it!!! -->
    <organization>
        <url>http://www.emdev.ru</url>
        <name>EmDev</name>
    </organization>
    <ciManagement>
        <system>Jenkins</system>
        <url>http://build.emdev.ru/jenkins/</url>
    </ciManagement>
    <scm>
        <connection>scm:git:https://git.emdev.ru/entaxy/entaxy-framework</connection>
    </scm>

	<repositories>

		<!--
			contains all used components together with sources and javadocs, proxies Maven Central and Apache
			also contains public Entaxy releases & snapshots (snapshots are disabled here)
		-->
		<repository>
			<id>entaxy-public</id>
			<name>entaxy-public</name>
			<!-- url>http://localhost:8981/repository/entaxy-public/</url -->
			<url>https://nexus.entaxy.ru/nexus/repository/entaxy-public/</url>
			<layout>default</layout>
			<releases>
				<enabled>true</enabled>
				<checksumPolicy>warn</checksumPolicy>
				<updatePolicy>never</updatePolicy>
			</releases>
			<snapshots>
				<enabled>false</enabled>
			</snapshots>
		</repository>

		<!--
			contains all Entaxy snaphots and releases, authorized access only
			use Maven settins.xml to provide access credentials
		-->
		<repository>
			<id>entaxy-private</id>
			<name>entaxy-private</name>
			<!-- url>http://localhost:8981/repository/entaxy-private/</url -->
			<url>https://nexus.entaxy.ru/nexus/repository/entaxy-private/</url>
			<layout>default</layout>
			<releases>
				<enabled>true</enabled>
				<checksumPolicy>warn</checksumPolicy>
				<updatePolicy>never</updatePolicy>
			</releases>
			<snapshots>
				<enabled>true</enabled>
				<checksumPolicy>warn</checksumPolicy>
				<updatePolicy>never</updatePolicy>
			</snapshots>
		</repository>

	</repositories>

	<pluginRepositories>
		<pluginRepository>
			<id>entaxy-public</id>
			<name>entaxy-public</name>
			<!-- url>http://localhost:8981/repository/entaxy-public/</url -->
			<url>https://nexus.entaxy.ru/nexus/repository/entaxy-public/</url>
			<layout>default</layout>
			<releases>
				<enabled>true</enabled>
				<checksumPolicy>warn</checksumPolicy>
				<updatePolicy>never</updatePolicy>
			</releases>
			<snapshots>
				<enabled>false</enabled>
			</snapshots>
		</pluginRepository>
	</pluginRepositories>

</project>
